de.katho.kBorrow.data.objects

## Class KLender

- java.lang.Object
- - de.katho.kBorrow.data.objects.KLender

    public class KLender
    extends java.lang.Object

Bildet einen Ausleiher ab.

### Field Summary

Fields
`private int` `id` ID des Ausleihers.
`private java.lang.String` `name` Vorname des Ausleihers.
`private int` `studentnumber` Matrikelnummer des Ausleihers.
`private java.lang.String` `surname` Nachname des Ausleihers.

### Constructor Summary

Constructors
Constructor and Description
`KLender(int pId, java.lang.String pName, java.lang.String pSurname, int pStudentnumber)` Erzeugt ein neues KLender-Objekt.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getId()` Gibt ID des Ausleihers zurück.
`java.lang.String` `getName()` Gibt Vorname des Ausleihers zurück.
`int` `getStudentnumber()` Gibt Matrikelnummer des Ausleihers zurück.
`java.lang.String` `getSurname()` Gibt Nachnamen des Ausleihers zurück.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    private java.lang.String name

Vorname des Ausleihers.

#### surname

    private java.lang.String surname

Nachname des Ausleihers.

#### studentnumber

    private int studentnumber

Matrikelnummer des Ausleihers.

#### id

    private int id

ID des Ausleihers.

### Constructor Detail

#### KLender

    public KLender(int pId,
                   java.lang.String pName,
                   java.lang.String pSurname,
                   int pStudentnumber)

Erzeugt ein neues KLender-Objekt.

Parameters:
  `pId` - ID des Ausleihers.
  `pName` - Vorname des Ausleihers.
  `pSurname` - Nachname des Ausleihers.
  `pStudentnumber` - Matrikelnummer des Ausleihers.

### Method Detail

#### getName

    public java.lang.String getName()

Gibt Vorname des Ausleihers zurück.

Returns:
  Vorname des Ausleihers.

#### getSurname

    public java.lang.String getSurname()

Gibt Nachnamen des Ausleihers zurück.

Returns:
  Nachname des Ausleihers.

#### getStudentnumber

    public int getStudentnumber()

Gibt Matrikelnummer des Ausleihers zurück.

Returns:
  Matrikelnummer des Ausleihers.

#### getId

    public int getId()

Gibt ID des Ausleihers zurück.

Returns:
  ID des Ausleihers.